Package com.smartgwt.client.ai

# Class ExecuteQueryDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionStep
com.smartgwt.client.ai.ExecuteQueryDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class ExecuteQueryDataQuestionStep extends DataQuestionStep

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteQueryDataQuestionStep()`
  `ExecuteQueryDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecuteQueryDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  The value EXECUTE_QUERY.
  `MakeQueryDataQuestionStepResult`
  `getValidatedMakeQueryStepResult()`
  `ExecuteQueryDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value EXECUTE_QUERY.
  `ExecuteQueryDataQuestionStep`
  `setValidatedMakeQueryStepResult(MakeQueryDataQuestionStepResult validatedMakeQueryStepResult)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecuteQueryDataQuestionStep

    public ExecuteQueryDataQuestionStep()

  - ### ExecuteQueryDataQuestionStep

    public ExecuteQueryDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ExecuteQueryDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setType

    public ExecuteQueryDataQuestionStep setType(DataQuestionStepType type)
    The value EXECUTE_QUERY.
    Overrides:
      `setType` in class `DataQuestionStep`
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `ExecuteQueryDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value EXECUTE_QUERY.
    Overrides:
      `getType` in class `DataQuestionStep`
    Returns:
      Current type value. Default value is null

  - ### setValidatedMakeQueryStepResult

    public ExecuteQueryDataQuestionStep setValidatedMakeQueryStepResult(MakeQueryDataQuestionStepResult validatedMakeQueryStepResult)
    Parameters:
      `validatedMakeQueryStepResult` - New validatedMakeQueryStepResult value. Default value is *initialized by the implementation*
    Returns:
      `ExecuteQueryDataQuestionStep` instance, for chaining setter calls

  - ### getValidatedMakeQueryStepResult

    public MakeQueryDataQuestionStepResult getValidatedMakeQueryStepResult()
    Returns:
      Current validatedMakeQueryStepResult value. Default value is *initialized by the implementation*